import { EditorView } from '@codemirror/view';
import { ConfigType } from './type';
import './style.css';
export default class MiniPlayground {
    static version: string;
    readonly version: string;
    config: ConfigType;
    editor: EditorView;
    loading: boolean;
    isClick: boolean;
    iframe: HTMLIFrameElement;
    boxEl: HTMLDivElement;
    maskEl: HTMLDivElement;
    codeEl: HTMLDivElement;
    lineEl: HTMLDivElement;
    contentEl: HTMLDivElement;
    ldqStaticResources: string[];
    constructor(config?: ConfigType);
    init(): Promise<void>;
    initDom(): void;
    initEvent(): void;
    initCodeMirror(): void;
    setValue(value: string): void;
    getValue(value: string | void): string;
    setStyle(key: string, value: string | number): void;
    getBase64(): string;
    render(): void;
    initStatisResources(): Promise<void>;
    renderIframe(context: string): Promise<void>;
}
